Package bitel.billing.server.contract.bean

# Class ContractParameterManager

java.lang.Object
bitel.billing.server.contract.bean.ContractParameterManager

All Implemented Interfaces:
  `AutoCloseable`

@Deprecated public class ContractParameterManager extends Object implements AutoCloseable
Deprecated.
use `ContractDao` or `ContractService`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterManager(Connection con)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkMultiListValue(int val, int pid)`
  Deprecated.
  `void`
  `clearParameterHistory(int cid, int pid, int parameterTypeId)`
  Deprecated.
  Очищает историю параметра договора.
  `void`
  `close()`
  Deprecated.
  `void`
  `copyContractParams(String where, Map<String,bitel.billing.server.util.db.ColumnValue> valuesPairs)`
  Deprecated.
  Копирование параметров договора.
  `void`
  `deleteContractRefParam(int cid, int pid, int userId)`
  Deprecated.
  Удаление параметра типа "Ссылка на договор"
  `void`
  `deleteListCustomValue(String customValue, int pid)`
  Deprecated.
  `void`
  `deleteListValue(int id)`
  Deprecated.
  `void`
  `deleteMultiListCustomValue(String customValue, int pid)`
  Deprecated.
  `void`
  `deleteMultiListValue(int id)`
  Deprecated.
  `void`
  `deleteParamForContractByType(int parameterTypeId, int contractId)`
  Deprecated.
  `void`
  `deleteParamLog(int parameterId)`
  Deprecated.
  Удаление истории параметра определенного типа
  `void`
  `deleteParamLogForContractByType(int parameterTypeId, int contractId)`
  Deprecated.
  `Map<Integer,Integer>`
  `getAddressCustomParam()`
  Deprecated.
  Получение Map<Integer, Integer> с новыми пользовательскими адресами, где key - это id параметра, а value - количество новых адресов этого параметра
  `List<IdTitle>`
  `getAllParams(int cid, String tableName, String pids)`
  Deprecated.
  Возвращает список параметров договора в виде idTitle
  `Map<Integer,ContractParamValue>`
  `getContractParamValueMap(int contractId)`
  Deprecated.
  `Integer`
  `getContractRefParam(int cid, int pid)`
  Deprecated.
  Получает параметр типа "Ссылка на договор"
  `Map<Integer,Integer>`
  `getContractRefParamMap(int cid, Set<Integer> pids)`
  Deprecated.
  `List<IdTitle>`
  `getListValues(int parameterId)`
  Deprecated.
  `int`
  `getMultilistParamId(String title)`
  Deprecated.
  `Map<Integer,MultiListParamValues>`
  `getMultiListParamValueMap(int cid, Set<Integer> pids)`
  Deprecated.
  `MultiListParamValues`
  `getMultiListParamValues(int contractId, int parameterId)`
  Deprecated.
  `List<IdTitle>`
  `getMultiListValues(int parameterId)`
  Deprecated.
  `List<ParameterHistoryEntry>`
  `getParameterHistory(int contractId, int parameterId)`
  Deprecated.
  Получает историю параметра
  `List<IdTitle>`
  `getParameterListValues(int parameterId)`
  Deprecated.
  `ContractParameterPref`
  `getParamPref(int parameterId)`
  Deprecated.
  Возвращает описание типа параметра по типу самого параметра
  `String`
  `getTableName(int parameterTypeId)`
  Deprecated.
  Получает название таблицы БД для параметра этого типа.
  `String`
  `getTextlikeParam(int contractId, int pid)`
  Deprecated.
  Получает параметр который можно трактовать как текст, т.е. текст, мыло, телефон итд.
  `HashMap<Integer,String>`
  `getValuesForPids(List<Integer> pids, int contractId)`
  Deprecated.
  `HashMap<Integer,String>`
  `getValuesForPids(Set<Integer> pids, int contractId)`
  Deprecated.
  Возвращает строковые значения переданных параметров договора для данного договора.
  `void`
  `replaceCustomListValue(int id, int pid, String customValue)`
  Deprecated.
  `void`
  `replaceMultiListCustomValues(int id, int pid, String customValue)`
  Deprecated.
  `static void`
  `resetParametersHistoryMap()`
  Deprecated.
  Сбрасывает кеш с флагами о необходимости ввести историю параметров
  `void`
  `searchCustomAddress(SearchResult<String[]> searchResult, int parameterId)`
  Deprecated.
  Возвращает список кастомных адресов
  `void`
  `setContractRefParam(int cid, int pid, int value, int userId)`
  Deprecated.
  Установка параметра типа "Ссылка на договор"
  `void`
  `updateListParamLog(int cid, int pid, Integer value, String customValue, int userId)`
  Deprecated.
  Обновление истории спискового параметра
  `int`
  `updateListValue(int id, int pid, String title)`
  Deprecated.
  `void`
  `updateMultiListParameter(Connection con, int cid, int pid, MultiListParamValues values, int userID)`
  Deprecated.
  `void`
  `updateMultiListParameterAndItems(int contractId, int parameterId, MultiListParamValues values, int userId)`
  Deprecated.
  Установка значения мультиспискового параметра
  `int`
  `updateMultiListParameterValue(int id, int pid, String title)`
  Deprecated.
  `void`
  `updateMultiListParamLog(int cid, int pid, String value, int userId)`
  Deprecated.
  Обновление истории мультиспискового параметра

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con
    Deprecated.

- ## Constructor Details

  - ### ContractParameterManager

    public ContractParameterManager(Connection con)
    Deprecated.

- ## Method Details

  - ### resetParametersHistoryMap

    public static void resetParametersHistoryMap()
    Deprecated.
    Сбрасывает кеш с флагами о необходимости ввести историю параметров

  - ### setContractRefParam

    public void setContractRefParam(int cid, int pid, int value, int userId)
    Deprecated.
    Установка параметра типа "Ссылка на договор"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
      `value` - значение
      `userId` - кто изменил

  - ### getContractRefParam

    public Integer getContractRefParam(int cid, int pid)
    Deprecated.
    Получает параметр типа "Ссылка на договор"
    Parameters:
      `cid` - код договора
      `pid` - код параметра
    Returns:
      параметр типа "Ссылка на договор"

  - ### getContractRefParamMap

    public Map<Integer,Integer> getContractRefParamMap(int cid, Set<Integer> pids) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### deleteContractRefParam

    public void deleteContractRefParam(int cid, int pid, int userId) throws Exception
    Deprecated.
    Удаление параметра типа "Ссылка на договор"
    Parameters:
      `cid` -
      `pid` -
      `userId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getMultiListParamValueMap

    public Map<Integer,MultiListParamValues> getMultiListParamValueMap(int cid, Set<Integer> pids) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMultiListParameterAndItems

    public void updateMultiListParameterAndItems(int contractId, int parameterId, MultiListParamValues values, int userId)
    Deprecated.
    Установка значения мультиспискового параметра

  - ### updateMultiListParameter

    public void updateMultiListParameter(Connection con, int cid, int pid, MultiListParamValues values, int userID)
    Deprecated.

  - ### updateListParamLog

    public void updateListParamLog(int cid, int pid, Integer value, String customValue, int userId)
    Deprecated.
    Обновление истории спискового параметра

  - ### updateMultiListParamLog

    public void updateMultiListParamLog(int cid, int pid, String value, int userId)
    Deprecated.
    Обновление истории мультиспискового параметра

  - ### getListValues

    public List<IdTitle> getListValues(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListValues

    public List<IdTitle> getMultiListValues(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMultiListParamValues

    public MultiListParamValues getMultiListParamValues(int contractId, int parameterId) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateMultiListParameterValue

    public int updateMultiListParameterValue(int id, int pid, String title) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### replaceMultiListCustomValues

    public void replaceMultiListCustomValues(int id, int pid, String customValue) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateListValue

    public int updateListValue(int id, int pid, String title) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### replaceCustomListValue

    public void replaceCustomListValue(int id, int pid, String customValue) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### checkMultiListValue

    public boolean checkMultiListValue(int val, int pid) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### deleteListValue

    public void deleteListValue(int id) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### deleteMultiListValue

    public void deleteMultiListValue(int id) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### deleteListCustomValue

    public void deleteListCustomValue(String customValue, int pid) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### deleteMultiListCustomValue

    public void deleteMultiListCustomValue(String customValue, int pid) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getMultilistParamId

    public int getMultilistParamId(String title) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getParameterListValues

    @Deprecated public List<IdTitle> getParameterListValues(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Deprecated. `getListValues(int)`
    Parameters:
      `parameterId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAddressCustomParam

    public Map<Integer,Integer> getAddressCustomParam()
    Deprecated.
    Получение Map<Integer, Integer> с новыми пользовательскими адресами, где key - это id параметра, а value - количество новых адресов этого параметра

  - ### deleteParamForContractByType

    public void deleteParamForContractByType(int parameterTypeId, int contractId)
    Deprecated.

  - ### deleteParamLogForContractByType

    public void deleteParamLogForContractByType(int parameterTypeId, int contractId)
    Deprecated.

  - ### deleteParamLog

    public void deleteParamLog(int parameterId) throws Exception
    Deprecated.
    Удаление истории параметра определенного типа
    Parameters:
      `parameterId` - код параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getParameterHistory

    public List<ParameterHistoryEntry> getParameterHistory(int contractId, int parameterId) throws Exception
    Deprecated.
    Получает историю параметра
    Parameters:
      `contractId` - код договора
      `parameterId` - код параметра
    Returns:
      список записей истории
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### clearParameterHistory

    public void clearParameterHistory(int cid, int pid, int parameterTypeId) throws SQLException
    Deprecated.
    Очищает историю параметра договора.
    Parameters:
      `cid` - код договора.
      `pid` - код параметра.
      `parameterTypeId` - тип параметра.
    Throws:
      `SQLException`

  - ### getTableName

    public String getTableName(int parameterTypeId)
    Deprecated.
    Получает название таблицы БД для параметра этого типа.
    Parameters:
      `parameterTypeId` - (номер) тип параметра.
    Returns:
      строка - имя таблицы БД contract_parameter_type_*.

  - ### getAllParams

    public List<IdTitle> getAllParams(int cid, String tableName, String pids)
    Deprecated.
    Возвращает список параметров договора в виде idTitle
    Parameters:
      `cid` - - id договора
      `tableName` - - имя таблицы параметров
      `pids` - - строка с кодом(ами) параметров, через запятую

  - ### copyContractParams

    public void copyContractParams(String where, Map<String,bitel.billing.server.util.db.ColumnValue> valuesPairs)
    Deprecated.
    Копирование параметров договора.

  - ### searchCustomAddress

    public void searchCustomAddress(SearchResult<String[]> searchResult, int parameterId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает список кастомных адресов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getValuesForPids

    @Deprecated public HashMap<Integer,String> getValuesForPids(List<Integer> pids, int contractId)
    Deprecated.

  - ### getValuesForPids

    public HashMap<Integer,String> getValuesForPids(Set<Integer> pids, int contractId)
    Deprecated.
    Возвращает строковые значения переданных параметров договора для данного договора.
    Parameters:
      `pids` - список кодов параметров
      `contractId` - код договора
    Returns:

  - ### getTextlikeParam

    public String getTextlikeParam(int contractId, int pid)
    Deprecated.
    Получает параметр который можно трактовать как текст, т.е. текст, мыло, телефон итд. Как getValuesForPids, только для одного договора и одного параметра. Вернёт null если параметра нет (и возможно если он не заполнен для некоторых типов?)

  - ### getParamPref

    public ContractParameterPref getParamPref(int parameterId) throws Exception
    Deprecated.
    Возвращает описание типа параметра по типу самого параметра
    Parameters:
      `parameterId` - тип параметра
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getContractParamValueMap

    public Map<Integer,ContractParamValue> getContractParamValueMap(int contractId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `ru.bitel.bgbilling.common.BGException`